Problem with Cross-build of wxGtk 2.8.11

14 views
Skip to first unread message

ste...@schwarzmann-web.de

unread,
Mar 3, 2021, 5:41:20 AMMar 3
to wx-users
Hello,

I've already posted two question at StackOverflow reg. cross-building an old
version of wxGtk (2.8.11) and have trouble with supplying the correct
environment etc. for the cross-build to succeed.

I know it's an outdated version, but I have to build it for an old
target with old libraries etc., so I can't just easily switch to a more
recent wxGtk version.

This is a more concrete and detailed question regarding the setup for
wxGtk:

https://stackoverflow.com/questions/66258128/cross-compile-wxgtk

This is more general approach about understanding the "rpath-link"
option which I currently need for the "configure"-script to succeed:

https://stackoverflow.com/questions/66454865/understanding-cross-build-with-option-rpath-link

Thanks for any kind of help!

Best regards,

-- 
Stephan Schwarzmann

ste...@schwarzmann-web.de

unread,
Mar 4, 2021, 4:59:10 AMMar 4
to wx-users
We can now cross-build -- I've posted the solution which works for us on StackOverflow.
Reply all
Reply to author
Forward
0 new messages